$tw: #231f21;
$grey: #dfdfdf;
$green: #25ce8c;
$col-footer: #585555;
$vlof-text: #434343;
$back-pas: #b0aeaf;

body{
  margin: 0;
  &:hover{
    cursor: default;
  }
}

.wrapper{
  width: 975px;
  max-width: 100%;
  margin: 0 auto;
  position: relative;
  height: 100%;
}

.menu{
  &__list{
    height: 40px;
    background-color: $tw;
    font-family: "OpenSansSemiBold";
    font-size: 19px;
    color: white;
    .menu__button{
      display: none;
      width: 31px;
      height: 31px;
      position: absolute;
      right: 8px;
      top: 8px;
      @media(max-width: 640px){
        display: block;
      }
      &--line{
        height: 4px;
        width: 30px;
        background-color: #fff;
        position: absolute;
        &.line-2{
          top: 10px;
          width: 24px;
          margin-left: 3px;
        }
        &.line-3{
          top: 20px;
        }
      }
      &:hover{
        cursor: pointer;

        .line-1{
          transform: rotate(-135deg);
          top: 10px;
          transition-property: transform, top;
          transition-duration: 1s;
        }
        .line-2{
          transform: rotate(-135deg);
          transition-property: transform, top;
          transition-duration: 0.5s;
        }
        .line-3{
          transform: rotate(-45deg);
          top: 10px;
          transition-property: transform, top;
          transition-duration: 0.7s;
        }
      }
    }
    .menu__button--640{
      .line-1{
        transform: rotate(-135deg);
        top: 10px;
        transition-property: transform, top;
        transition-duration: 1s;
      }
      .line-2{
        transform: rotate(-135deg);
        transition-property: transform, top;
        transition-duration: 0.5s;
      }
      .line-3{
        transform: rotate(-45deg);
        top: 10px;
        transition-property: transform, top;
        transition-duration: 0.7s;
      }
    }
    &--logo{
      background-color: $green;
      height: 112px;
      position: absolute;
      top: 0;
      left: 0;
      //.logo-dop{
      //  height: 100%;
      //  width: 100px;
      //  position: absolute;
      //  &:hover{
      //    cursor: pointer;
      //  }
      //}
      & svg{
        padding-top: 16px;
        height: 100px;
        width: 100px;
        fill: #fff;
      }
    }
    &--logo-640{
      display: none;
    }
    &--wrapper{
      width: 100%;
      height: 100%;
      &_dop-block{
        height: 100%;
        width: 150px;
        vertical-align: middle;
        display: inline-block;
        @media(max-width: 640px){
          display: none;
        }
      }
      &_element{
        display: inline-block;
        vertical-align: middle;
        @media(max-width: 640px){
          display: none;
        }
        &:hover{
          cursor: pointer;
          color: #25ce8c;
          transition-property: color;
          transition: 0.3s;
        }
      }
      &_element-640{
        display: inline-block;
        vertical-align: baseline;
        width: 50%;
        padding: 15px 0;
        padding-left: 60px;
      }
      &_band{
        display: inline-block;
        vertical-align: middle;
        background-color: white;
        width: 1px;
        height: 19px;
        margin: 0 30px;
        @media(max-width: 720px){
          margin: 0 10px;
        }
        @media(max-width: 640px){
          display: none;
        }
      }
    }
    .menu__list--wrapper-640{
      padding-top: 60px;
    }
  }
  &__list-640{
  width: 100%;
    height: 310px;
}
  &__caption{
    background-color: $grey;
    font-family: "OpenSansLight";
    font-size: 23px;
    border-bottom: 2px solid #ccc;
    &--dop-block{
      display: inline-block;
      height: 100%;
      vertical-align: middle;
    }
    &--text{
      display: inline-block;
      vertical-align: middle;
      padding: 14px 15px;
      padding-left: 150px;
    }
  }
  &__caption-640{
    position: absolute;
    top: 40px;
    max-width: 100%;
    z-index: -1;
  }
}

.content{
  width: 100%;
  max-width: 100%;
  height: 100%;
  &__vlog{
    padding: 55px 0;
    font-size: 0;
    @media(max-width: 886px){
      text-align: center;
    }
    @media(max-width: 443px){
      width: 100%;
    }
    &--img{
      background-image: url("../images/ring.jpg");
      background-repeat: no-repeat;
      background-position: center;
      display: inline-block;
      width: 247px;
      height: 426px;
      margin-right: 20%;
      vertical-align: top;
      @media(max-width: 886px){
        width: 100%;
        margin-top: 50px;
        margin-right: 0;
      }
    }
    &--img-p{
      width: 100%;
      height: 100%;
      .bril{
        width: 113px;
        height: 75px;
        position: absolute;
        top: 115px;
        left: 67px;
        &:hover{
          background-image: url("../images/bril.png");
          background-repeat: no-repeat;
          background-position: center;
        }
      }
      .ring-b{
        width: 235px;
        height: 248px;
        position: absolute;
        top: 177px;
        left: 6px;
        border-radius: 107px;
        &:hover{
          background-image: url("../images/ring-b.png");
          background-repeat: no-repeat;
          background-position: center;
        }
      }
    }
    &--img-passive{
      width: 100%;
      height: 100%;
      background-image: url("../images/ring-passive.jpg");
      background-repeat: no-repeat;
      background-position: center;
    }

    &--text{
      display: inline-block;
      width: 50%;
      height: 100%;
      vertical-align: top;
      font-family: "OpenSansLight";
      font-size: 23px;
      text-align: left;
      color: $vlof-text;
      @media(max-width: 886px){
        width: 444px;
      }
      @media(max-width: 443px){
        width: 315px;
      }
      .c-art{
        padding-top: 80px;
        @media(max-width: 443px){
          padding-left: 42px;
        }
      }
      .c-caption{
        padding-top: 12px;
        @media(max-width: 443px){
          padding-left: 42px;
          padding-top: 33px;
        }
      }
      .c-char{
        font-size: 0;
        padding-top: 12px;
        @media(max-width: 443px){
          display: none;
        }
        &__list{
          display: inline-block;
          width: 50%;
          height: 100%;
          vertical-align: top;
          font-size: 23px;
          line-height: 110%;
        }
      }
      .c-char-320{
        display: none;
        padding-top: 18px;
        @media(max-width: 443px){
          display: block;
        }
        & ul{
          & li{
            list-style-type: none;
          }
        }
      }
    }
  }
}
.content-passive{
  background-color: $back-pas;
  position: absolute;
  top:167px;
  z-index: -1;
}

.footer{
  height: 50px;
  border-top: 2px solid $grey;
  width: 100%;
  text-align: center;
  font-size: 0;
  @media (max-width: 320px) {
    display: none;
  }
  &__dop-block{
    display: inline-block;
    vertical-align: middle;
    height: 100%;
  }
  &__text{
    display: inline-block;
    vertical-align: middle;
    font-family: "OpenSansLight";
    font-size: 13px;
    color: $col-footer;
    & span:hover{
      cursor: pointer;
      color: #25ce8c;
    }
  }
}